Subject: bug#22313: 24.3; on global-font-lock-mode's documentation

From: Daniel Bastos <[email-masked]>
Date: Tue, 05 Jan 2016 17:17:35 -0200

Eli Zaretskii <[email-masked]> writes:

>> From: [email-masked]
>> Date: Tue, 05 Jan 2016 15:39:36 -0200
>> 
>> I ran emacs -Q and so font-lock-mode came up enabled.  Good.  I then ran
>> 
>>   (global-font-lock-mode nil)
>> 
>> and it did turn off.  Looking at the documentation, I read the passage
>> below.  It makes me think that the argument of nil, since that's not
>> positive, would disable font-lock-mode, but it doesn't.  The function
>> really needs a negative argument.  The documentation should be fixed.
>
> Sorry, I don't understand which part of the documentation needs
> fixing.  Can you clarify?
>
> This part:
>
>> If called from Lisp, enable the mode if ARG is omitted or nil.
>
> clearly says that calling the function with nil as its argument
> _enables_ the mode, not disables it.
>
> As for being not positive, nil is not a number, so its sign is really
> undefined, I think.

I'm really sorry.  I didn't pay enough attention.  For what it's worth,
I suppose the "otherwise" threw me off completely and the following
sentences didn't take effect in my brain.  I'm sorry.